1. Business Info
POSPointe
MyPOSPointe API
  • POSPointe GiftCard Server
  • Pospointe Trans
  • MyPOSPointe API
  • Pospointe Agent
  • Pospointe Loyalty
  • Dashboard
    • Top Selling Items
      GET
    • Get Totals
      GET
    • Cash and Card Total Sales
      GET
    • Sales for last 7 days
      GET
    • Store busy hours
      GET
    • Sales for last 14 days
      GET
    • Get Online Orders
      GET
    • Get Employee
      GET
    • Employee Attendance
      GET
    • Get Employee Departments
      GET
    • Get Application
      GET
  • Users
    • Add User
      POST
    • Get all Users
      GET
    • Get a user
      GET
    • Edit User
      PUT
  • MyPOSDevice
    • Get License
      GET
    • Register Device
      POST
    • Register Device with OTP
      POST
  • Menus
    • Items
      • Get Items
    • Store Hours
      • Get Store Hrs
      • Update Store Hrs
  • Reports
    • Flash Report
      • Get FlashReport Details
    • Transaction
      • Get All Transactions
      • Get Items per transactions
      • Get Cashier Details
    • Shift Close
      • Get ShiftClose report
      • Get "ShiftCloseEmail" value
      • Get report with Id
      • Post to QuickBooks
      • Update "ShiftCloseEmail" value
    • Item Sales By Department
      • Get department sales
  • Online Orders
    • Get Online Order Sales
  • Business Info
    • Business Info
      GET
    • Update Business Info
      PUT
    • Get Tax Rate
      GET
    • Update Tax Rate
      PUT
  • Get Departments
    GET
  1. Business Info

Update Tax Rate

Developing
PUT
https://api3.mypospointe.com:8843/Business/taxrate

Request

Header Params

Body Params application/jsonRequired

Example
[
    {
        "taxNo": 1,
        "taxRate": 8.5000
    },
    {
        "taxNo": 2,
        "taxRate": 9.2000
    }
]

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api3.mypospointe.com:8843/Business/taxrate' \
--header 'db: 170' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "taxNo": 1,
        "taxRate": 8.5000
    },
    {
        "taxNo": 2,
        "taxRate": 9.2000
    }
]'

Responses

🟢200Success
application/json
Body

Example
[{"taxNo":1,"taxRate":8.5000},{"taxNo":2,"taxRate":9.2000}]
Modified at 2026-04-29 07:16:32
Previous
Get Tax Rate
Next
Get Departments
Built with